#!HEAD: dcsm-EF_MSA_HV_ON_11kV 2024-07-29 01:43:13 121        45 MMO                  DCSM                // Mercury FLY BY  2024                       
8001    ########################################################
8002    #  HV raise 11kV in 60min
8003    ########################################################
8004    #
8005    # HV_sw_enable(both)
8006    MSA.HV_ENA 0x0F000000
8007    # command : 07000F000000
8008    #
8009    WAIT_SEC 2                   
8010    #
8011    # QL         Check-Item               Spec                       check
8012    # ----------+------------------------+-------------------------+------
8013    #             <CPU> ENA_BOARD         ENA                        N/A
8014    #             <CPU> SAFE_ENA          ENA                        N/A
8015    #
8016    # HV_Board_PwrON
8017    MSA.HV_ON 0x0A000000
8018    # command : 05000A000000
8019    #
8020    WAIT_SEC 2                   
8021    #
8022    # QL         Check-Item               Spec                       check
8023    # ----------+------------------------+-------------------------+------
8024    # MSA ALL HK  <HV> ON_BOARD          ON                          N/A
8025    #             <HV> ERR               OK                          N/A                 
8026    #
8027    # HV_Optics_PwrON
8028    MSA.HV_ON 0x05000000
8029    # command : 050005000000
8030    #
8031    WAIT_SEC 2                   
8032    #
8033    # QL         Check-Item               Spec                       check
8034    # ----------+------------------------+-------------------------+------
8035    # MSA ALL HK  <HV> ON_OPTICS         ON                          N/A
8036    #             <HV> ERR               OK                          N/A
8037    #
8038    #
8039    ########################################################################
8040    # Changing Moment table (B1D00)
8041    MSA.SET_VOLTAGE 0x02000200
8042    WAIT_SEC 5                   
8043    #
8044    # QL         Check-Item               Spec                       check
8045    # ----------+------------------------+-------------------------+------
8046    # MSA ALL HK  VHV3 _steps               2                      N/A
8047    #
8048    # Measure on
8049    MSA.CPU_AMP_ENA 0x01000100
8050    #
8051    WAIT_SEC 5                   
8052    #
8053    # QL         Check-Item               Spec                       check
8054    # ----------+------------------------+-------------------------+------
8055    # MSA ALL HK  AMP_ENA                 ENA                          N/A
8056    #
8057    #
8058    #######################################################################
8059    #         HV raise to 11kV nominal configuration
8060    #         Automatic OCL procedure
8061    #######################################################################
8062    MSA.OCL_CMD 0x01010160
8063    WAIT_SEC 2500   #Flight only                   
8064    #
8065    # QL         Check-Item               Spec                      check
8066    #
8067    # MSA ALL HK  CPU_SW                  44                         N/A
8068    #
8069    #             HV_REF_HV1    (ReferenceValue 0x040)               N/A
8070    #             HV_REF_HV2    (ReferenceValue 0x049)                       N/A
8071    #             HV_REF_VHV1   (ReferenceValue 0x117)                       N/A
8072    #             HV_REF_VHV2   (ReferenceValue 0x17C)                       N/A
8073    #             HV_REF_VHV3   (ReferenceValue 0x115)                       N/A
8074    #             HV_REF_VHV4   (ReferenceValue 0x03E)                       N/A
8075    #             HV_REF_OL     (ReferenceValue 0x020)                       N/A
8076    #             HV_DAC_VHV3             changing                   N/A
8077    #             HV_DAC_HV1               A0                        N/A
8078    #             HV_DAC_HV2               AC                        N/A
8079    #             HV_DAC_VHV1              B0                        N/A
8080    #             HV_DAC_VHV2              B0                        N/A
8081    #             HV_DAC_VHV4              44                        N/A
8082    #             HV_DAC_AMP1              00                        N/A
8083    #             HV_DAC_AMP2              00                        N/A
8084    #             HV_DAC_AMP3              34                        N/A
8085    #
8086    #             ADC_HV_VHV1             A99                        N/A
8087    #             ADC_HV_VHV2              BAC                        N/A
8088    #             ADC_HV_VHV3             CHANGING                   N/A
8089    #             ADC_HV_VHV4             400                        N/A
8090    #             ADC_HV_HV1              A00                        N/A
8091    #             ADC_HV_HV2              A00                        N/A
8092    #             ADC_HV_OL               F6E                        N/A
8093    #             ADC_HV_AMP1   (ReferenceValue 0x08C)                       N/A
8094    #             ADC_HV_AMP2   (ReferenceValue 0x08A)                       N/A
8095    #             ADC_HV_AMP3   (ReferenceValue 0x028)                       N/A
8096    #             ADC_HV_TMP    (ReferenceValue 0xC55)                       N/A
8097    #             
8098    #             ADC_CFD_LEFA            980                        N/A
8099    #             ADC_CFD_LEFB            8B0                        N/A
8100    #             ADC_CFD_LEFS            900                        N/A
8101    #             ADC_CFD_STC             900                        N/A
8102    #             ADC_CFD_STE             900                        N/A
8103    #             ADC_AMP_TEMP  (ReferenceValue 0xCC8)                       N/A
8104    #             ADC_CPU_+5    (ReferenceValue 0xCA2)                       N/A
8105    #             ADC_CPU_+3.3  (ReferenceValue 0xA3D)                       N/A
8106    #             ADC_CPU_+1.8  (ReferenceValue 0x5BF)                       N/A
8107    #             ADC_CPU_+2.5  (ReferenceValue 0x821)                       N/A
8108    #             ADC_CPU_+12   (ReferenceValue 0xC46)                       N/A
8109    #             ADC_CPU_-12   (ReferenceValue 0xC3C)                       N/A
8110    #             ADC_CPU_TEMP  (ReferenceValue 0xCC7)                       N/A
8111    #
8112    #             <CPU> AMP_ENA           ENA                        N/A
8113    #             <HV>  ERR                OK                        N/A
8114    #             <HV>  ON_OPTICS          ON                        N/A
8115    #             <HV>  ON_BOARD           ON                        N/A
8116    #             <HV>  SAFE              OFF                        N/A
8117    #             <CPU> ENA_OPTICS        ENA                        N/A
8118    #             <CPU> ENA_BOARD         ENA                        N/A
8119    #             <CPU> SAFE_ENA          DIS                        N/A
8120    #
8121    EXIT                   
