#!HEAD: dcsm-EF_BUS_TLM_MODE_5 2020-06-15 06:00:49 25         45 MMO                  DCSM                // BAT Maintenance-1-1         
8001    #
8002    # << Mission data 割り当てを7kbpsに (TLM MODE 5) >>
8003    # 
8004    # # Mission Dataを1553B通信の7/8の帯域 (約7kbps)で出力するモードとする
8005    DH.MC_EACH_EXE 0x0031  # 1553B TLM mode 5 (SYS HK 1/8, Mission Data 7/8)
8006    #:              << MACRO >> 内容について以下に示す(DH.DUMMYは省略)
8007    #:              0x00 DH.DMP_PERIOD 0x04
8008    #:              0x02 ACS.ACS_PKT_FMT_1
8009    #:              0x05 DH.OPE_MODE 0x0C 0x42 0x27 0x00 0x00000000000000000000000000
8010    #:              0x06 DH.TLMFMT1553B_CHG 0x05
8011    #
8012    WAIT_SEC 2                   
8013    #
8014    # << Mモードデータを出力するためにCAT_ID = 0x32に変更する >>
8015    # 
8016    DH.OPE_MODE 0x0C 0x00 0x32 0x04 0x00000000000000000000000000
8017    # 
8018    WAIT_SEC 40                   
8019    #
8020    CHECK DH.CATEGORY_TBL_NO                    0x32                   
8021    CHECK DH.DWNLNK_RATE                        =BPS16384                   
8022    CHECK DH.TLM1553BFMTNO                      0x05                   
8023    CHECK ACS.F_ACS_PKT_FMT                     =ACSHK1                   
8024    # 
8025    EXIT                   
