#!HEAD: main2-MERCURY_FLYBY_4_XOR_001_M62 2024-07-30 04:54:49 418        45 MMO                  MAIN2               // Earth Fly-by                
0001  . # LET                  @ONERR=NEXT                   
0002  . # ==========================================================================
0003    #  <startTime>2024-09-02T18:30:00Z</startTime>
0004    #  <stopTime>2024-09-08T03:00:00Z</stopTime>
0005    #  << XDOR:XDOR_BJXR_C957_CRCO_M620701_00001.BC >> 連続送信*****
0006    #  << XOR:XOR__BJXR_C957_CRCO_M620701_00001.BC >> *****
0007    # ==========================================================================
0008    # ==========================================================================
0009  . #  EXEC_AT 2024-09-02 18:30:00
0010    # ◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆◇◆
0011    # ==========================================================================
0012    # 0. MMO MOSIF Heater &  Switch to Standby Mode
0013    # ==========================================================================
0014    #
0015    # Change MOSIF Heater Setting   (14sec)
0016    # <forMPO>AJXF017A</forMPO>     
0017    WAIT_SEC             42600                   
0018    #
0019    # MMO Switch to Standby Mode (main) (300sec)
0020    # <forMPO>AJXF001A</forMPO> 
0021    WAIT_SEC             360                   
0022    #
0023    # MMO Set HK rate to 64 second  (3sec)
0024    # <forMPO>AJXF005A</forMPO> 
0025    WAIT_SEC              240                   
0026    #
0027    CALL dcsm-EF_BUS_MONI_ON_ROMUPL_DIS -Run                   
0028    #
0029    # ==========================================================================
0030    # 01. MDP ON
0031    # ==========================================================================
0032    #
0033    CALL dcsm-EF_MDP_ON -Run                   
0034    #
0035    # ==========================================================================
0036    # 02. TLM MODE 10 (Mission: 4kbps, with user HK)
0037    # ==========================================================================
0038    #
0039    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0040    #
0041    CALL dcsm-EF_MSA_OCL_ON -Run                   
0042    #
0043    WAIT_SEC  3600                   
0044    #
0045    CALL dcsm-EF_MSA_OCL_OFF -Run                   
0046    #
0047    # ==========================================================================
0048    # 03. MDP OFF
0049    # ==========================================================================
0050    #
0051    CALL dcsm-EF_MDP_POWEROFF -Run                   
0052    #
0053    # ==========================================================================
0054    # 04. MDP ON
0055    # ==========================================================================
0056    #
0057    CALL dcsm-EF_MDP_ON -Run                   
0058    #
0059    # ==========================================================================
0060    # 05. TLM MODE 10 (Mission: 4kbps, with user HK)
0061    # ==========================================================================
0062    #
0063    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0064    #
0065    CALL dcsm-EF_MSA_OCL_ON -Run                   
0066    #
0067    WAIT_SEC 57812                   
0068    #
0069    # ==========================================================================
0070    # 06.  PI POWER ON
0071    # ==========================================================================
0072    #
0073    CALL dcsm-EF_MDP_CRUISE_SET -Run                   
0074    #
0075    CALL dcsm-EF_PME_ON -Run                   
0076    #
0077    CALL dcsm-EF_MGF_ON -Run                   
0078    #
0079    CALL dcsm-EF_PWI_ON_CRUISE -Run                   
0080    #
0081    CALL dcsm-EF_MEA_ON_SW -Run                   
0082    #
0083    CALL dcsm-EF_ENA_power_ON -Run                   
0084    #
0085    CALL dcsm-EF_MIA_ON_ASIC_LDET_LEVEL30 -Run                   
0086    #
0087    CALL dcsm-EF_HEP_ON_START_for_TL -Run                   
0088    #
0089    CALL dcsm-EF_MDM_ON -Run                   
0090    #
0091    # ==========================================================================
0092    # 07. WOL#3
0093    # ==========================================================================
0094    #
0095    WAIT_SEC 1800                   
0096    #
0097    # ==========================================================================
0098    # 08.  PI HV ON
0099    # ==========================================================================
0100    #
0101    CALL dcsm-EF_HEPE_HV_ON_OBS_START_DISC1FFF -Run                   
0102    #
0103    CALL dcsm-EF_ENA_HV_ON_MASS_PECM4881 -Run                   
0104    #
0105    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0106    #
0107    CALL dcsm-EF_MEA_HV_ON -Run                   
0108    #
0109    CALL dcsm-EF_MSA_HV_ON_11kV -Run                   
0110    #
0111    # ==========================================================================
0112    # 09. TLM MODE 5  (Mission: 7kbps, without user HK)
0113    # ==========================================================================
0114    #
0115    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0116    #
0117    # ==========================================================================
0118    # 10. Observation A
0119    # ==========================================================================
0120    #
0121    WAIT_SEC 20788                   
0122    #
0123    # ==========================================================================
0124    # 11. TLM MODE 10 (Mission: 4kbps, with user HK)
0125    # ==========================================================================
0126    #
0127    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0128    #
0129    # ==========================================================================
0130    # 12. PI HV OFF
0131    # ==========================================================================
0132    #
0133    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0134    #
0135    CALL dcsm-EF_ENA_HV_OFF -Run                   
0136    #
0137    CALL dcsm-EF_MSA_OCL2_HV_OFF -Run                   
0138    #
0139    CALL dcsm-EF_MIA_HV_OFF -Run                   
0140    #
0141    CALL dcsm-EF_MEA_HV_OFF -Run                   
0142    #
0143    # ==========================================================================
0144    # 13. WOL#4
0145    # ==========================================================================
0146    #
0147    WAIT_SEC 1800                   
0148    #
0149    # ==========================================================================
0150    # 14.  PI HV ON
0151    # ==========================================================================
0152    #
0153    CALL dcsm-EF_HEPE_HV_ON_OBS_START_DISC2FFF -Run                   
0154    #
0155    CALL dcsm-EF_ENA_HV_ON_MASS_PECM4881 -Run                   
0156    #
0157    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0158    #
0159    CALL dcsm-EF_MEA_HV_ON -Run                   
0160    #
0161    CALL dcsm-EF_MSA_HV_ON_11kV -Run                   
0162    #
0163    # ==========================================================================
0164    # 15. TLM MODE 5  (Mission: 7kbps, without user HK)
0165    # ==========================================================================
0166    #
0167    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0168    #
0169    # ==========================================================================
0170    # 16. Observation B
0171    # ==========================================================================
0172    #
0173    WAIT_SEC 24388                   
0174    #
0175    # ==========================================================================
0176    # 17. TLM MODE 10 (Mission: 4kbps, with user HK)
0177    # ==========================================================================
0178    #
0179    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0180    #
0181    # ==========================================================================
0182    # 18. PI HV OFF
0183    # ==========================================================================
0184    #
0185    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0186    #
0187    CALL dcsm-EF_ENA_HV_OFF -Run                   
0188    #
0189    CALL dcsm-EF_MSA_OCL2_HV_OFF -Run                   
0190    #
0191    CALL dcsm-EF_MIA_HV_OFF -Run                   
0192    #
0193    CALL dcsm-EF_MEA_HV_OFF -Run                   
0194    #
0195    # ==========================================================================
0196    # 19. WOL#5
0197    # ==========================================================================
0198    #
0199    WAIT_SEC 1800                   
0200    #
0201    # ==========================================================================
0202    # 20.  PI HV ON
0203    # ==========================================================================
0204    #
0205    CALL dcsm-EF_HEPE_HV_ON_OBS_START_DISC3FFF -Run                   
0206    #
0207    CALL dcsm-EF_ENA_HV_ON_MASS_PECM4881 -Run                   
0208    #
0209    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0210    #
0211    CALL dcsm-EF_MEA_HV_ON -Run                   
0212    #
0213    CALL dcsm-EF_MSA_HV_ON_11kV -Run                   
0214    #
0215    # ==========================================================================
0216    # 21. TLM MODE 5  (Mission: 7kbps, without user HK)
0217    # ==========================================================================
0218    #
0219    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0220    #
0221    # ==========================================================================
0222    # 22. Observation C
0223    # ==========================================================================
0224    #
0225    WAIT_SEC 4888                   
0226    #
0227    # ==========================================================================
0228    # 23. TLM MODE 10 (Mission: 4kbps, with user HK)
0229    # ==========================================================================
0230    #
0231    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0232    #
0233    # ==========================================================================
0234    # 24. PI HV OFF
0235    # ==========================================================================
0236    #
0237    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0238    #
0239    CALL dcsm-EF_ENA_HV_OFF -Run                   
0240    #
0241    CALL dcsm-EF_MSA_OCL2_HV_OFF -Run                   
0242    #
0243    CALL dcsm-EF_MIA_HV_OFF -Run                   
0244    #
0245    CALL dcsm-EF_MEA_HV_OFF -Run                   
0246    #
0247    # ==========================================================================
0248    # 25. WOL#6
0249    # ==========================================================================
0250    #
0251    WAIT_SEC 1800                   
0252    #
0253    # ==========================================================================
0254    # 26.  PI HV ON
0255    # ==========================================================================
0256    #
0257    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0258    #
0259    CALL dcsm-EF_ENA_HV_ON_MASS_PECM4881 -Run                   
0260    #
0261    CALL dcsm-EF_MIA_HV_ON_MAG_RC -Run                   
0262    #
0263    CALL dcsm-EF_MEA_HV_ON -Run                   
0264    #
0265    CALL dcsm-EF_MSA_HV_ON_11kV -Run                   
0266    #
0267    # ==========================================================================
0268    # 27. TLM MODE 5  (Mission: 7kbps, without user HK)
0269    # ==========================================================================
0270    #
0271    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0272    #
0273    # ==========================================================================
0274    # 28. Observation D
0275    # ==========================================================================
0276    #
0277    WAIT_SEC 15398                   
0278    #
0279    # ==========================================================================
0280    # 29. TLM MODE 10 (Mission: 4kbps, with user HK)
0281    # ==========================================================================
0282    #
0283    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0284    #
0285    # ==========================================================================
0286    # 30. PI HV OFF
0287    # ==========================================================================
0288    #
0289    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0290    #
0291    CALL dcsm-EF_ENA_HV_OFF -Run                   
0292    #
0293    CALL dcsm-EF_MSA_OCL2_HV_OFF -Run                   
0294    #
0295    CALL dcsm-EF_MIA_HV_OFF -Run                   
0296    #
0297    CALL dcsm-EF_MEA_HV_OFF -Run                   
0298    #
0299    # ==========================================================================
0300    # 31. WOL#7
0301    # ==========================================================================
0302    #
0303    WAIT_SEC 1800                   
0304    #
0305    # ==========================================================================
0306    # 32.  PI HV ON
0307    # ==========================================================================
0308    #
0309    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0310    #
0311    CALL dcsm-EF_ENA_HV_ON_MASS_PECM4881 -Run                   
0312    #
0313    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0314    #
0315    CALL dcsm-EF_MEA_HV_ON -Run                   
0316    #
0317    CALL dcsm-EF_MSA_HV_ON_11kV -Run                   
0318    #
0319    # ==========================================================================
0320    # 33. TLM MODE 5  (Mission: 7kbps, without user HK)
0321    # ==========================================================================
0322    #
0323    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0324    #
0325    # ==========================================================================
0326    # 34. Observation E
0327    # ==========================================================================
0328    #
0329    WAIT_SEC 6090                   
0330    #
0331    # ==========================================================================
0332    # 35. TLM MODE 10 (Mission: 4kbps, with user HK)
0333    # ==========================================================================
0334    #
0335    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0336    #
0337    # ==========================================================================
0338    # 36. PI HV OFF
0339    # ==========================================================================
0340    #
0341    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0342    #
0343    CALL dcsm-EF_ENA_HV_OFF -Run                   
0344    #
0345    CALL dcsm-EF_MSA_OCL2_HV_OFF -Run                   
0346    #
0347    CALL dcsm-EF_MIA_HV_OFF -Run                   
0348    #
0349    CALL dcsm-EF_MEA_HV_SCAN_OFF -Run                   
0350    #
0351    # ==========================================================================
0352    # 37. WOL#8
0353    # ==========================================================================
0354    #
0355    WAIT_SEC 1800                   
0356    #
0357    # ==========================================================================
0358    # 38. PI Power OFF
0359    # ==========================================================================
0360    #
0361    CALL dcsm-EF_HEPE_OFF_STOP -Run                   
0362    #
0363    CALL dcsm-EF_MIA_OFF -Run                   
0364    #
0365    CALL dcsm-EF_ENA_power_OFF -Run                   
0366    #
0367    CALL dcsm-EF_MEA_OFF -Run                   
0368    #
0369    CALL dcsm-EF_MGF_OFF -Run                   
0370    #
0371    CALL dcsm-EF_PWI_OFF -Run                   
0372    #
0373    CALL dcsm-EF_PME_OFF -Run                   
0374    #
0375    CALL dcsm-EF_MSA_OCL_OFF -Run                   
0376    #
0377    CALL dcsm-EF_MDM_OFF -Run                   
0378    #
0379    # ==========================================================================
0380    # 39. MDP OFF
0381    # ==========================================================================
0382    #
0383    CALL dcsm-EF_MDP_POWEROFF -Run                   
0384    #
0385    CALL dcsm-EF_BUS_TLM_MODE_6 -Run                   
0386    #
0387    WAIT_SEC  80000                   
0388    #
0389    DH.DUMMY             
0390    WAIT_SEC  80000                   
0391    #
0392    DH.DUMMY             
0393    WAIT_SEC  70400                   
0394    #
0395    #
0396    # ==========================================================================
0397    # 40. BUS MONI OFF
0398    # ==========================================================================
0399    #
0400    CALL dcsm-EF_BUS_MONI_OFF_ROMUPL_ENA -Run                   
0401    #
0402    # ==========================================================================
0403    # 99. MMO Dormant Mode
0404    # ==========================================================================
0405    WAIT_SEC             240                   
0406    #
0407    # MMO Set HK rate to 1 second   (3sec)
0408    # <forMPO>AJXF004A</forMPO>
0409    WAIT_SEC             120                   
0410    #
0411    # MMO Switch to Dormant Mode  (70sec)
0412    # <forMPO>AJXF002A</forMPO>
0413    WAIT_SEC             300                   
0414    #
0415    # Return MOSIF heater setting   (14sec)
0416    # <forMPO>AJXF017B</forMPO>             
0417    #############################################################################
0418    # ==========================================================================
